List Playbooks

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.thankly.ai/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Thankly MCP server": {
  "url": "https://docs.thankly.ai/mcp"
}
Close
GET /playbooks

Query parameters

  • include_inactive boolean

    Default value is false.

Responses

  • 200 application/json

    Successful Response

    Hide response attribute Show response attribute object
    • playbooks array[object] Required
      Hide playbooks attributes Show playbooks attributes object
      • id string Required
      • org_id string Required
      • playbook_id string Required
      • name string Required
      • description string | null
      • goal string Required
      • pre_filter object | null

        Additional properties are allowed.

      • audience_description string | null
      • available_channels array[string] Required
      • capabilities_on_send array[string] Required
      • tone_hint string | null
      • must_mention array[string] | null
      • must_not_mention array[string] | null
      • version integer Required
      • active boolean Required
      • created_at string(date-time) Required
      • updated_at string(date-time) Required
      • created_by string | null
  • 422 application/json

    Validation Error

    Hide response attribute Show response attribute object
    • detail array[object]
      Hide detail attributes Show detail attributes object
      • loc array[string | integer] Required
      • msg string Required
      • type string Required
      • input
      • ctx object
GET /playbooks
curl \
 --request GET 'http://api.example.com/playbooks' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "playbooks": [
    {
      "id": "string",
      "org_id": "string",
      "playbook_id": "string",
      "name": "string",
      "description": "string",
      "goal": "string",
      "pre_filter": {},
      "audience_description": "string",
      "available_channels": [
        "string"
      ],
      "capabilities_on_send": [
        "string"
      ],
      "tone_hint": "string",
      "must_mention": [
        "string"
      ],
      "must_not_mention": [
        "string"
      ],
      "version": 42,
      "active": true,
      "created_at": "2026-05-04T09:42:00Z",
      "updated_at": "2026-05-04T09:42:00Z",
      "created_by": "string"
    }
  ]
}
Response examples (422)
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "ctx": {}
    }
  ]
}